﻿using System;
using System.Linq;
using System.Windows.Forms;
using MacorattiModeloEntidades;

namespace UsandoModeloEntidadesMacoratti
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        
        private void button1_Click(object sender, EventArgs e)
        {
            using(var contexto = new NorthwindEntities())
            {
                var clientesPedidos = contexto.Orders
                                      .Where(p => p.ShipCountry == "Brazil");

                lstDados.Items.Add(" Brazil -   Data Pedido ");
                foreach (var cliente in clientesPedidos)
                {
                    lstDados.Items.Add(cliente.CustomerID + " - "  + cliente.OrderDate);
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            using (var contexto = new NorthwindEntities())
            {
                var clientesPedidos = from p in contexto.Orders
                                      select p;

                dgvDados.DataSource = clientesPedidos.ToList();

            }
        }
    }
}
